Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AbleCreatedAgentEntry

    java.lang.Object
      com.ibm.able.platform.AbleCreatedAgentEntry

All Implemented Interfaces:
  java.io.Serializable

public class AbleCreatedAgentEntry
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`AbleCreatedAgentEntry(AbleAgentClassDescription theAgentClassDescription, java.lang.String theSelectedAgentPoolAlias, java.lang.String theAgentPoolIpName, java.lang.String theAgentPoolPort, java.lang.String theClassName, java.lang.Object theAblePlatformAgent, java.lang.String theAgentName, boolean theAgentInitFlag, java.lang.Object theAgentInitArg, javax.agent.AgentName thePlatformAgentName)`

Method Summary
`java.lang.Object` | `getAblePlatformAgent()`
`AbleAgentClassDescription` | `getAgentClassDescription()`
`java.lang.Object` | `getAgentInitArg()`
`boolean` | `getAgentInitFlag()`
`java.lang.String` | `getAgentName()`
`java.lang.String` | `getAgentPoolIpName()`
`java.lang.String` | `getAgentPoolPort()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getHostIpName()`
`java.lang.String` | `getHostPort()`
`javax.agent.AgentName` | `getPlatformAgentName()`
`java.lang.String` | `getSelectedAgentPoolAlias()`
`java.lang.String` | `getSelectedHostAlias()`
`java.lang.String` | `toString()` Retrieves a string describing (the contents of) the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleCreatedAgentEntry

    public AbleCreatedAgentEntry(AbleAgentClassDescription theAgentClassDescription,
                                 java.lang.String theSelectedAgentPoolAlias,
                                 java.lang.String theAgentPoolIpName,
                                 java.lang.String theAgentPoolPort,
                                 java.lang.String theClassName,
                                 java.lang.Object theAblePlatformAgent,
                                 java.lang.String theAgentName,
                                 boolean theAgentInitFlag,
                                 java.lang.Object theAgentInitArg,
                                 javax.agent.AgentName thePlatformAgentName)

Method Detail

### getAgentClassDescription

    public AbleAgentClassDescription getAgentClassDescription()

### getSelectedAgentPoolAlias

    public java.lang.String getSelectedAgentPoolAlias()

### getSelectedHostAlias

    public java.lang.String getSelectedHostAlias()

### getAgentPoolIpName

    public java.lang.String getAgentPoolIpName()

### getHostIpName

    public java.lang.String getHostIpName()

### getAgentPoolPort

    public java.lang.String getAgentPoolPort()

### getHostPort

    public java.lang.String getHostPort()

### getClassName

    public java.lang.String getClassName()

### getAblePlatformAgent

    public java.lang.Object getAblePlatformAgent()

### getAgentName

    public java.lang.String getAgentName()

### getAgentInitFlag

    public boolean getAgentInitFlag()

### getAgentInitArg

    public java.lang.Object getAgentInitArg()

### getPlatformAgentName

    public javax.agent.AgentName getPlatformAgentName()

### toString

    public java.lang.String toString()

  Retrieves a string describing (the contents of) the object.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005